View Issue Details

IDProjectCategoryView StatusLast Update
00028033 - Current Dev ListEnhancementpublic2019-05-25 13:33
ReporterK7ZCZAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status newResolutionopen 
Product Version6.4.0.846 
Target VersionFixed in Version 
Summary0002803: Logbook: should use Trusted QSL Library instead of spawning TQSL.EXE
DescriptionThe Logbook communicates with Logbook of the World (LotW) by spawning the TQSL.EXE application and piping data into and out of it. This is a cumbersome approach as it makes error handing and progress monitoring difficult.

Instead, we should consider revising the logbook to use the supported programming API. It looks like that API provides better integration, though we might have a bit of fuss around configuring and maintaiing customer signing certificates. After the initial work to address certificates, we should be in much better shape for communicating with LotW.
Additional InformationDocumentation is here:
http://www.arrl.org/developer
TagsNo tags attached.
ModuleLogbook
Sub-ModuleLoTW
TestingNot Started

Relationships

related to 0002786 closedWA9PIE 5 - Closed w/o Action LOTW error but upload is accepted by LOTW 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-07-04 18:22 K7ZCZ New Issue
2018-07-05 15:06 K7ZCZ Summary Logbook: should use Trusted QSL Library instead of spwaning TQSL.EXE => Logbook: should use Trusted QSL Library instead of spawning TQSL.EXE
2018-07-05 15:06 K7ZCZ Additional Information Updated View Revisions
2019-05-25 13:33 K7ZCZ Relationship added related to 0002786